﻿using Android.App;
using Android.Widget;
using Android.OS;
using Syncfusion.SfPdfViewer.Android;
using System.Net;
using System.IO;
using System;

namespace PdfViewerSample
{
    [Activity(Label = "PdfViewerSample", MainLauncher = true, Icon = "@drawable/icon")]
    public class MainActivity : Activity
    {
        protected override void OnCreate(Bundle bundle)
        {
            base.OnCreate(bundle);
            SetContentView(Resource.Layout.Main);
            var pdfViewerControl = FindViewById<SfPdfViewer>(Resource.Id.pdfviewerControl);
            //Download PDF document from the given URL as a stream
            Stream ms = DownloadPdfStream("http://files2.syncfusion.com/Downloads/Ebooks/unity_development_succinctly.pdf");
            pdfViewerControl.LoadDocument(ms);
        }

        /// <summary>
        /// Download PDF document as stream from the given URL
        /// </summary>
        /// <param name="URL">URL which holds PDF document</param>
        /// <returns></returns>
        private Stream DownloadPdfStream(string URL)
        {
            //Initialize WebClient
            WebClient webClient = new WebClient();
           
            // Initialize Uri
            var uri = new System.Uri(URL);
            //Returns the PDF document stream from the given URL 
            return webClient.OpenRead(uri);
           
        }
    }
}

